<div class="managerial-positions">
  <h2 class="pb-2 header">
    <span id="managerial-positions-page-heading" jhiTranslate="managerialPosition.home.title">Managerial Position</span>

    <button class="btn btn-primary float-right jh-create-entity" (click)="openCreateModal()">
      <span jhiTranslate="managerialPosition.home.createButton">Create managerial</span>
    </button>
  </h2>
  <div class="row text-center">
    <div class="col-12">
      <div class="alert alert-secondary" role="alert" *ngIf="managerialPositions && managerialPositions.length === 0">
        <span jhiTranslate="global.dataEmpty"> managerialPositions are empty! </span>
      </div>
    </div>
  </div>
  <div class="table-responsive border-table" *ngIf="managerialPositions">
    <table class="table table-striped mb-0" aria-describedby="managerial-positions-page-heading">
      <thead class="thead-light">
        <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" [callback]="transition.bind(this)">
          <th scope="col" jhiSortBy="id"><span jhiTranslate="global.field.id">ID</span>
            <fa-icon icon="sort"></fa-icon>
          </th>
          <th scope="col" jhiSortBy="name"><span jhiTranslate="managerialPosition.home.managerialPosition">Managerial
              Position</span>
            <fa-icon icon="sort"></fa-icon>
          </th>
          <th scope="col" jhiSortBy="createdDate"><span jhiTranslate="managerialPosition.home.createDate">Create
              Date</span>
            <fa-icon icon="sort"></fa-icon>
          </th>
          <th scope="col"></th>
        </tr>
      </thead>
      <tbody *ngIf="managerialPositions">
        <tr *ngFor="let position of managerialPositions;">
          <td>{{ position.id }}</td>
          <td>{{ position.name }}</td>
          <td>{{ position.createdDate | date: 'dd/MM/yyyy'}}</td>
          <td class="text-right">
            <div class="btn-group">
              <button ngbTooltip="{{'entity.action.edit' | translate}}" class="btn custom-icon-btn" type="button"
                (click)="openEditModal(position.id, position.name)">
                <i class="bi bi-pencil"></i>
              </button>
              <button ngbTooltip="{{'entity.action.delete' | translate}}" class="btn custom-icon-btn" type="button"
                (click)="openDeleteModal(position.id, position.name)">
                <i class="bi bi-trash"></i>
              </button>
            </div>
          </td>
        </tr>
      </tbody>
    </table>
  </div>

  <div *ngIf="managerialPositions" class="pt-5 d-flex justify-content-end mr-0">
    <jhi-item-count class="mr-4 align-self-center" [page]="page" [total]="totalItems" [itemsPerPage]="itemsPerPage">
    </jhi-item-count>
    <ngb-pagination size="sm" [collectionSize]="totalItems" [(page)]="page" [pageSize]="itemsPerPage" [maxSize]="3"
      [rotate]="true" [boundaryLinks]="true" (pageChange)="transition()"></ngb-pagination>
  </div>
</div>
